
% chart global flows as % of world GDP

[tempData,tempText]=xlsread('Graph_Flows_VIX_2017.xlsx','Sheet1');

labels =tempText(1,5:end);
dates  =x2mdate(tempData(:,3));
data   =tempData(:,4:end);


%plot
figure;
pl=area(dates,data);

pl(1).FaceColor=[.9 .9 .9];
pl(2).FaceColor=[.75 .75 .75];
pl(3).FaceColor=[.6 .6 .6];
pl(4).FaceColor=[.0 .0 .4];

pl(1).EdgeColor=[.9 .9 .9];
pl(2).EdgeColor=[.75 .75 .75];
pl(3).EdgeColor=[.6 .6 .6];
pl(4).EdgeColor=[.0 .0 .4];


grid on
set(gca,'XTick',dates(1:8:end),'FontSize',9,'Layer','top','FontWeight','Normal'); dateaxis('x',10);
xlim([dates(2) dates(end)]); 
legend(labels,'FontSize',11,'Location','NorthWest','box','off')

set(gcf,'PaperUnits','centimeters','PaperSize',[22 10]) %[x y]
set(gcf,'PaperPosition',[-2 -.0 25 10]) %[left bottom width height]
print(gcf,'-dpdf','FlowsChart.pdf'); 

